Kaliber5 Ember Bootstrap Save

Ember-cli addon for using Bootstrap as native Ember components.

Project README

ember-bootstrap

CI BrowserStack Status Ember Observer Score npm version

An ember-cli addon for using Bootstrap 4 und 5 in Ember applications.

The addon includes the Bootstrap CSS (or Sass, Less) in your project (can be disabled). On top of that, it provides a set of native Ember components (no use of Bootstrap JavaScript!).

See www.ember-bootstrap.com for full documentation.

Installation

In your application's directory:

ember install ember-bootstrap

This will install Bootstrap 4 and will use the currently installed preprocessor or none if one is not installed. To switch Bootstrap version or preprocessor, see the setup documentation.

Compatibility

Ember Bootstrap works and is fully tested with

  • Ember.js 3.28+ (including all optional features)
  • Ember CLI 3.28+
  • Bootstrap 4 and 5
  • all modern evergreen browsers (Chrome, Firefox, Safari, Edge)
  • node.js 14+
  • FastBoot 1.0+
  • Embroider: we strive (and test) for maximum compatibility with Embroider, including the most aggressive setting (staticComponents) for tree shaking and code splitting. However as Embroider itself is still considered beta software, we won't be able to guarantee that for the time being.

This project follows Semantic Versioning.

Updates

See CHANGELOG for the list of all changes.

If you want to keep up to date with ember-bootstrap, you may want to follow me on Twitter.

Author and collaborators

Contributing

See the Contributing guide for details.

Credits

Cross-browser testing provided by:

BrowserStack

Code and documentation copyright 2020 kaliber5 and contributors. Code released under the MIT license.

Open Source Agenda is not affiliated with "Kaliber5 Ember Bootstrap" Project. README Source: ember-bootstrap/ember-bootstrap
Stars
492
Open Issues
97
Last Commit
2 weeks ago
License
MIT

Open Source Agenda Badge

Open Source Agenda Rating